package rss;

import java.util.ArrayList;
import java.util.Collection;
import java.util.Collections;

/**
 * Represents a particular RSS feed.
 *
 * @author    Simon Brown
 */
public class RssFeed {

  /** the items contained within the feed */
  private Collection items = new ArrayList();

  /**
   * Adds a item to this feed.
   *
   * @param item    an RssItem instance
   */
  public void addItem(RssItem item) {
    items.add(item);
  }

  /**
   * Gets a collection of all items within this RSS feed.
   *
   * @return  a Collection of RssItem instances
   */
  public Collection getItems() {
    return Collections.unmodifiableCollection(items);
  }

}
